commit 23c949134c6f52a3f83bd183956e7dae19a27454
parent ee4cc8c0727974356bac00bf9a17e14b9d6fa8ad
Author: Andrew Laack <andrew@laack.co>
Date: Mon, 11 May 2026 11:52:31 -0500
Added provisional cryfs backups, updated documentation, added some other backup utils.
Diffstat:
5 files changed, 19 insertions(+), 3 deletions(-)
diff --git a/backup-cryfs.sh b/backup-cryfs.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+TODAY=$(date +%Y-%m-%d)
+rclone copy encrypted minio-openhost:/backups/$TODAY
diff --git a/backups/restic-list.sh b/backups/restic-list.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+set -o pipefail
+
+restic -r sftp:root@andrew-1.selfhost.imbue.com:/backup/ snapshots
diff --git a/cryfs-mount.sh b/cryfs-mount.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+umount plaintext || true
+cryfs $HOME/encrypted $HOME/plaintext
diff --git a/installers/arch-private-installation.sh b/installers/arch-private-installation.sh
@@ -28,8 +28,7 @@ ln -s ~/personal-files/sensitive-configs/thunderbird ~/.thunderbird
# ~/personal-files
# since .config is in git, this will be done automatically.
-# same for signal.
-#ln -s ~/personal-files/sensitive-configs/brave ~/.config/BraveSoftware
+# ln -s ~/personal-files/sensitive-configs/brave ~/.config/BraveSoftware
cp ~/gitRepos/keys/ssh/id_ed25519* ~/.ssh/
chmod 600 ~/.ssh/id_ed25519*
diff --git a/installers/arch-public-installation.sh b/installers/arch-public-installation.sh
@@ -3,7 +3,7 @@
cd
-sudo pacman -S curl git gnome-keyring gcc make xorg-server libxft libxinerama freetype2 pkgconf ttf-fira-code zoxide fzf openssh less arandr pass pass-otp xclip xorg-xsetroot base-devel i3lock pandoc entr ripgrep wget jq man-db btop tmux rsync cronie mpv podman pavucontrol otf-latin-modern proton-vpn-gtk-app proton-vpn-cli tk brightnessctl zip unzip signal-desktop xorg-xset lynx figlet flameshot feh ffmpeg zathura-pdf-mupdf websocat xorg-xhost yt-dlp qemu-full qbittorrent alsa-utils pipewire-alsa pipewire-pulse sshfs iotop lsof neovim wireshark-qt nmap torbrowser-launcher bandwhich ghidra bind-tools whois dunst thunderbird graphviz restic dictd amfora
+sudo pacman -S curl git gnome-keyring gcc make xorg-server libxft libxinerama freetype2 pkgconf ttf-fira-code zoxide fzf openssh less arandr pass pass-otp xclip xorg-xsetroot base-devel i3lock pandoc entr ripgrep wget jq man-db btop tmux rsync cronie mpv podman pavucontrol otf-latin-modern proton-vpn-gtk-app proton-vpn-cli tk brightnessctl zip unzip signal-desktop xorg-xset lynx figlet flameshot feh ffmpeg zathura-pdf-mupdf websocat xorg-xhost yt-dlp qemu-full qbittorrent alsa-utils pipewire-alsa pipewire-pulse sshfs iotop lsof neovim wireshark-qt nmap torbrowser-launcher bandwhich ghidra bind-tools whois dunst thunderbird graphviz restic dictd amfora i2pd
# dictd is so useful!!!
@@ -91,6 +91,10 @@ rm -rf ~/gitRepos/yay
# yay -S librewolf-bin --noconfirm
# yay -S lagrange --noconfirm
yay -S gemget --noconfirm
+# yay -S mpv-handler --noconfirm
+#
+# xdg-mime default mpv-handler.desktop x-scheme-handler/mpv-handler
+# xdg-mime default mpv-handler-debug.desktop x-scheme-handler/mpv-handler-debug
# NOTE: This might not work because of some gpg stuff
# if that's the case, go the to site and create an executable script in /usr/bin to run it